/*******************************************************************
 * Fritz Fun                                                       *
 * Created by Louis Lagendijk                                      *
 * All parts are distributed under the terms of GPLv2. See COPYING *
 *******************************************************************/

/**
 * \file menu.c
 * \brief Wrapper for he menu system (trayicon and menubar)
 */

#include <ffgtk.h>
#include <trayicon.h>
#include <menubar.h>

/**
 * \brief Initialize menu system, create menu bar and tray icon andi start tooltip thread
 */
 
void menuInit( void ) {
	trayIconInit();
#ifdef __MACOSX__
	menuBarInit();
	GtkOSXApplication *theApp = g_object_new(GTK_TYPE_OSX_APPLICATION, NULL);
	gtk_osxapplication_ready(theApp);
#endif
}

/**
 * \brief recreate app menu  
 */
 
void menuRecreateAppMenu( void ) {
	trayIconRecreateAppMenu();
#ifdef __MACOSX__
	menuBarRecreateAppMenu();
#endif
}

/**
 * \brief set program icon on trayicon 
 */

void menuSetIconType( int nType ) {
	trayIconSetIconType(nType);
}

/**
 *  \brief get menu/trayicon widget
 * \return trayicon widget
 */

GtkStatusIcon *menuGetIcon( void ) {
	return getTrayIcon();
}
